<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>RegionUtil (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RegionUtil (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RegionUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/SheetBuilder.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/RegionUtil.html" target="_top">Frames</a></li>
        <li><a href="RegionUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.util</div>
    <h2 title="Class RegionUtil" class="title">Class RegionUtil</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.util.RegionUtil</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">RegionUtil</span>
extends java.lang.Object</pre>
                <div class="block">Various utility functions that make working with a region of cells easier.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/RegionUtil.html#setBorderBottom-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">setBorderBottom</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Sets the bottom border style for a region of cells by
                                        manipulating the cell style of the individual
                                        cells on the bottom
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/RegionUtil.html#setBorderLeft-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">setBorderLeft</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Sets the left border style for a region of cells by manipulating
                                        the cell style of the individual
                                        cells on the left
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/RegionUtil.html#setBorderRight-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">setBorderRight</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Sets the right border style for a region of cells by manipulating
                                        the cell style of the individual
                                        cells on the right
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/RegionUtil.html#setBorderTop-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">setBorderTop</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Sets the top border style for a region of cells by manipulating
                                        the cell style of the individual
                                        cells on the top
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/RegionUtil.html#setBottomBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">setBottomBorderColor</a></span>(int&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Sets the bottom border color for a region of cells by
                                        manipulating the cell style of the individual
                                        cells on the bottom
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/RegionUtil.html#setLeftBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">setLeftBorderColor</a></span>(int&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Sets the left border color for a region of cells by manipulating
                                        the cell style of the individual
                                        cells on the left
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/RegionUtil.html#setRightBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">setRightBorderColor</a></span>(int&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Sets the right border color for a region of cells by manipulating
                                        the cell style of the individual
                                        cells on the right
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/RegionUtil.html#setTopBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">setTopBorderColor</a></span>(int&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Sets the top border color for a region of cells by manipulating
                                        the cell style of the individual
                                        cells on the top
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setBorderLeft-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderLeft</h4>
                                <pre>public static&nbsp;void&nbsp;setBorderLeft(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border,
                                 <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                 <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                    title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Sets the left border style for a region of cells by manipulating the
                                    cell style of the individual
                                    cells on the left
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The new border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.16 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLeftBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLeftBorderColor</h4>
                                <pre>public static&nbsp;void&nbsp;setLeftBorderColor(int&nbsp;color,
                                      <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                         title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                      <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                         title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Sets the left border color for a region of cells by manipulating the
                                    cell style of the individual
                                    cells on the left
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The color of the border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderRight-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderRight</h4>
                                <pre>public static&nbsp;void&nbsp;setBorderRight(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border,
                                  <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                     title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                  <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                     title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Sets the right border style for a region of cells by manipulating the
                                    cell style of the individual
                                    cells on the right
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The new border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.16 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRightBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRightBorderColor</h4>
                                <pre>public static&nbsp;void&nbsp;setRightBorderColor(int&nbsp;color,
                                       <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                          title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                       <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                          title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Sets the right border color for a region of cells by manipulating the
                                    cell style of the individual
                                    cells on the right
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The color of the border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderBottom-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderBottom</h4>
                                <pre>public static&nbsp;void&nbsp;setBorderBottom(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border,
                                   <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                      title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                   <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                      title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Sets the bottom border style for a region of cells by manipulating
                                    the cell style of the individual
                                    cells on the bottom
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The new border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.16 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBottomBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBottomBorderColor</h4>
                                <pre>public static&nbsp;void&nbsp;setBottomBorderColor(int&nbsp;color,
                                        <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                           title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                           title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Sets the bottom border color for a region of cells by manipulating
                                    the cell style of the individual
                                    cells on the bottom
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The color of the border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderTop-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderTop</h4>
                                <pre>public static&nbsp;void&nbsp;setBorderTop(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border,
                                <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                   title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Sets the top border style for a region of cells by manipulating the
                                    cell style of the individual
                                    cells on the top
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The new border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.16 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTopBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setTopBorderColor</h4>
                                <pre>public static&nbsp;void&nbsp;setTopBorderColor(int&nbsp;color,
                                     <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                     <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Sets the top border color for a region of cells by manipulating the
                                    cell style of the individual
                                    cells on the top
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The color of the border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 2</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RegionUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/SheetBuilder.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/RegionUtil.html" target="_top">Frames</a></li>
        <li><a href="RegionUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
